# Generated by Django 3.1.1 on 2020-11-30 02:19

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='OfertaModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('porcentaje_descuento', models.IntegerField(error_messages={'MaxValueValidator': 'El valor no puede ser mayor a 100', 'MinValueValidator': 'El valor no puede ser menor a 1'}, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(100)])),
            ],
        ),
        migrations.CreateModel(
            name='ProductoModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(error_messages={'unique': 'Este nombre de producto ya existe'}, max_length=100, unique=True)),
                ('descripcion', models.CharField(max_length=200)),
                ('precio', models.IntegerField(validators=[django.core.validators.MinValueValidator(1)])),
                ('precio_dolar', models.FloatField()),
                ('tipo_producto', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='TiendaModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(error_messages={'unique': 'Este nombre de tienda ya existe'}, max_length=200, unique=True)),
                ('direccion', models.CharField(max_length=200)),
                ('ciudad', models.CharField(max_length=200)),
                ('comuna', models.CharField(max_length=200)),
                ('telefono', models.CharField(max_length=200)),
                ('email', models.CharField(max_length=200)),
                ('encargado', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='VendedorModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=100)),
                ('nombre_usuario', models.CharField(max_length=100)),
                ('tienda_asignada', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracion.tiendamodel')),
            ],
        ),
        migrations.CreateModel(
            name='VentaModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nro_venta', models.IntegerField()),
                ('cantidad', models.IntegerField(validators=[django.core.validators.MinValueValidator(1)])),
                ('total', models.IntegerField()),
                ('estado', models.BooleanField(default=False)),
                ('fecha', models.DateTimeField()),
                ('precio_dolar', models.FloatField()),
                ('total_dolar', models.FloatField()),
                ('producto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracion.productomodel')),
                ('tienda', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracion.tiendamodel')),
                ('vendedor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracion.vendedormodel')),
            ],
        ),
        migrations.AddField(
            model_name='productomodel',
            name='tienda_asignada',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracion.tiendamodel'),
        ),
        migrations.AddField(
            model_name='productomodel',
            name='tiene_oferta',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='administracion.ofertamodel'),
        ),
        migrations.AddField(
            model_name='ofertamodel',
            name='tienda_descuento',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracion.tiendamodel'),
        ),
    ]
